import * as $dara from '@darabonba/typescript';
import { DescribeSoarStrategyTaskDetailResponseBody } from "./DescribeSoarStrategyTaskDetailResponseBody";
export declare class DescribeSoarStrategyTaskDetailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSoarStrategyTaskDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
